import 'package:flutter_bloc/flutter_bloc.dart';
import 'guest_event.dart';
import 'guest_state.dart';

class GuestBloc extends Bloc<GuestEvent, GuestState> {
  GuestBloc() : super(GuestState(false)) {
    on<GuestSetOn>((event, emit) {
      emit(GuestState(true));
    });
    on<GuestSetOff>((event, emit) {
      emit(GuestState(false));
    });
    on<GuestGetStatus>((event, emit) {
      emit(state);
    });
  }
}
